> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List dataset versions



## OpenAPI

````yaml get /v1/datasets/{id}/versions
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/datasets/{id}/versions:
    get:
      tags:
        - datasets
      summary: List dataset versions
      operationId: listDatasetVersionsByDatasetId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the dataset
            title: Id
          description: The ID of the dataset
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination
            title: Cursor
          description: Cursor for pagination
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of dataset versions to return at a time
            default: 10
            title: Limit
          description: The max number of dataset versions to return at a time
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDatasetVersionsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    ListDatasetVersionsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DatasetVersion'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: ListDatasetVersionsResponseBody
    DatasetVersion:
      properties:
        version_id:
          type: string
          title: Version Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - version_id
        - description
        - metadata
        - created_at
      title: DatasetVersion

````